%global sum	A 3D, first-person game of blowing up asteroids

Name:		asteroids3D
Summary:	%{sum}
Version:	1.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Games/Arcade
Source:		https://inai.de/files/asteroids3D/%{name}-%{version}.tar.xz
URL:		https://inai.de/projects/asteroids3D/
BuildRequires:	mesa-common-devel

%description
asteroids3D is a 3D, first-person game of blowing up asteroids.
The graphics more accurately reflect the future position of the 
targeted asteroid and provide information about closure rate.

%prep
%setup -q 

%build
%configure --with-gamesdir=%{_gamesbindir} --with-gamedatadir=%{_gamesdatadir}/%{name}
%make_build

%install
%make_install gamesdir=%{_gamesbindir} gamedatadir=%{_gamesdatadir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_gamesbindir}/%{name}
Icon=arcade_section
Categories=Game;ArcadeGame;
Name=Asteroids3D
Comment=%{sum}
EOF

%files
%{_datadir}/applications/%{name}.desktop
%{_gamesdatadir}/%{name}
%{_gamesbindir}/%{name}


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.0-2.mga10
+ Revision: 2218739
- Mageia 10 Mass Rebuild

* Sat Sep 30 2023 papoteur <papoteur> 1.0-1.mga10
+ Revision: 1992320
- new 1.0

* Tue Mar 15 2022 umeabot <umeabot> 0.5.1-12.mga9
+ Revision: 1792933
- Mageia 9 Mass Rebuild

* Wed Nov 18 2020 luigiwalser <luigiwalser> 0.5.1-11.mga8
+ Revision: 1647072
- fix case in mesa-common-devel BR

* Thu Apr 23 2020 danf <danf> 0.5.1-10.mga8
+ Revision: 1571479
- Fix Comment= in .desktop file

* Wed Feb 12 2020 umeabot <umeabot> 0.5.1-9.mga8
+ Revision: 1510447
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 21 2018 umeabot <umeabot> 0.5.1-8.mga7
+ Revision: 1294998
- Mageia 7 Mass Rebuild

* Sun Jan 17 2016 daviddavid <daviddavid> 0.5.1-7.mga6
+ Revision: 924846
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-6.mga5
+ Revision: 749426
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-5.mga5
+ Revision: 678005
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.1-4.mga4
+ Revision: 502864
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.5.1-3.mga3
+ Revision: 346472
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 11 2011 dmorgan <dmorgan> 0.5.1-2.mga1
+ Revision: 97133
- imported package asteroids3D


* Mon Feb 01 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.5.1-2mdv2010.1
+ Revision: 499107
- Update Source and URL

* Wed May 20 2009 Samuel Verschelde <stormi@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 378119
- new version 0.5.1
- reworked the spec file a bit
- fixed URL and license

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.2.2-8mdv2009.0
+ Revision: 218435
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.2.2-8mdv2008.1
+ Revision: 132149
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request


* Sat Dec 10 2005 Anssi Hannula <anssi.hannula@gmail.com> 0.2.2-8mdk
- fix Makefile for lib64
- %%mkrel

* Fri Sep 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-7mdk
- rebuild

* Mon Aug 04 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.2-6mdk
- rebuild
- add menu item
- drop -ggdb from compile flags
- cleanups

* Thu Dec 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-5mdk
- rebuild

* Thu Oct 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-4mdk
- rebuild

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 0.2.2-3mdk
- BuildRequires: Mesa-common-devel
- Use Optimizations

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-2mdk
- change url

* Mon Nov 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-1mdk
- new in contribs

